SRTEX(1)

NAME
srtex - format SR program for TeX

SYNOPSIS
srtex [ -lp ] [ -a n ] [ -t n ] [ -CIKS font ] [ file ... ]

DESCRIPTION

Srtex formats an SR program for tex(1), allowing the program to be typeset. It can produce output for either plain TeX (the default) or LaTeX. Input is read from the named files, or from standard input if none are given. Output is written to standard output.

Srtex tries hard to keep indentation and alignment the same as the original program. Horizontal positioning is recalculated (to preserve vertical columns) after reading a tab character or three consecutive spaces.

Srtex accepts the following options:

-l  Produce LaTeX instead of TeX.

-p  Produce a wrapper allowing output to be fed directly into TeX. By default, srtex produces output to be included in a larger document.

-t n
    Set tab stops every n columns. The default is every eight columns.

-a n
    Set the number of spaces that will force column alignment. The default is three. A large value inhibits alignment and usually looks ugly.

-C font
    Set the comment font; the default is "it".

-I font
    Set the identifier font; the default is "rm".

-K font
    Set the keyword font; the default is "bf".

-S font
    Set the string font; the default is "tt".

SEE ALSO

sr(1), tex(1), latex(1), srlatex(1), srgrind(1)

CAVEATS

Erroneous programs may exhibit strange spacing and/or pagination.

Extremely long program tokens will overflow lex buffers and cause core dumps.

It is possible to overflow TeX buffers.